Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Attributes | List of all members
osmium::relations::RelationsDatabase::element Struct Reference
Collaboration diagram for osmium::relations::RelationsDatabase::element:
[legend]

## Public Attributes
osmium::ItemStash::handle_type | handle
| A handle to the relation in the ItemStash.
std::size_t | members

## Member Data Documentation

## ◆ handle

osmium::ItemStash::handle_type osmium::relations::RelationsDatabase::element::handle

A handle to the relation in the ItemStash.

## ◆ members

std::size_t osmium::relations::RelationsDatabase::element::members

The number of members still needed before the relation is complete. This will be set to the number of members we are interested in (which can be all members of a relation or a subset of them) and then count down for every member we find. When it is 0, the relation is complete.

The documentation for this struct was generated from the following file:

- include/osmium/relations/relations_database.hpp